import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{ JournalsRoutingModule} from './journals-routing.module';
import{OpenaireSearchJournalsComponent} from './journals.component';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {SearchDataProvidersModule} from "../../openaireLibrary/searchPages/searchDataProviders.module";
@NgModule({
  imports: [
    CommonModule, FormsModule, JournalsRoutingModule, SearchDataProvidersModule

  ],
  declarations: [
    OpenaireSearchJournalsComponent
   ],
  providers:[PreviousRouteRecorder],
  exports: [
    OpenaireSearchJournalsComponent
     ]
})
export class LibJournalsModule { }
