import {Component, OnInit} from '@angular/core';
import {properties} from "../../../environments/environment";


@Component({
  selector: 'openaire-my-claims',
  template: `
    <my-claims *ngIf="userInfoURL && claimsInfoURL" [claimsInfoURL]=claimsInfoURL [userInfoURL]="userInfoURL">
    </my-claims>
  `
  
})
export class OpenaireMyClaimsComponent implements OnInit {
  claimsInfoURL: string;
  userInfoURL: string;
  
  constructor() {
  }
  
  public ngOnInit() {
    this.claimsInfoURL = properties.claimsInformationLink;
    this.userInfoURL = properties.userInfoUrl;
  }
}
