import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import{ CompatibleDataProvidersRoutingModule} from './compatibleDataProviders-routing.module';
import{OpenaireSearchCompatibleDataprovidersComponent} from './compatibleDataProviders.component';

import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';

import {SearchDataProvidersModule} from "../../openaireLibrary/searchPages/searchDataProviders.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    CompatibleDataProvidersRoutingModule, SearchDataProvidersModule

  ],
  declarations: [
    OpenaireSearchCompatibleDataprovidersComponent
   ],
  providers:[PreviousRouteRecorder],
  exports: [
    OpenaireSearchCompatibleDataprovidersComponent
     ]
})
export class LibCompatibleDataProvidersModule { }
